BasicButtonListener (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicButtonListener
Keywords: javax.swing.plaf.basic.BasicButtonListener class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicButtonListener

java.lang.Object
javax.swing.plaf.basic.BasicButtonListener

All Implemented Interfaces:
  `FocusListener`, `MouseListener`, `MouseMotionListener`, `PropertyChangeListener`, `EventListener`, `ChangeListener`

    public class BasicButtonListener
    extends Object
    implements MouseListener, MouseMotionListener, FocusListener, ChangeListener, PropertyChangeListener

Button Listener

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BasicButtonListener​(AbstractButton b)` | Constructs a new instance of `BasicButtonListener`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `checkOpacity​(AbstractButton b)` | Checks the opacity of the `AbstractButton`.
  `void` | `installKeyboardActions​(JComponent c)` | Register default key actions: pressing space to "click" a button and registering the keyboard mnemonic (if any).
  `void` | `uninstallKeyboardActions​(JComponent c)` | Unregister default key actions.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.event.ChangeListener

  `stateChanged`

  ### Methods declared in interface java.awt.event.FocusListener

  `focusGained, focusLost`

  ### Methods declared in interface java.awt.event.MouseListener

  `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

  ### Methods declared in interface java.awt.event.MouseMotionListener

  `mouseDragged, mouseMoved`

  ### Methods declared in interface java.beans.PropertyChangeListener

  `propertyChange`

- ## Constructor Details

  - ### BasicButtonListener

    public BasicButtonListener​(AbstractButton b)
    Constructs a new instance of `BasicButtonListener`.
    Parameters:
      `b` - an abstract button

- ## Method Details

  - ### checkOpacity

    protected void checkOpacity​(AbstractButton b)
    Checks the opacity of the `AbstractButton`.
    Parameters:
      `b` - an abstract button

  - ### installKeyboardActions

    public void installKeyboardActions​(JComponent c)
    Register default key actions: pressing space to "click" a button and registering the keyboard mnemonic (if any).
    Parameters:
      `c` - a component

  - ### uninstallKeyboardActions

    public void uninstallKeyboardActions​(JComponent c)
    Unregister default key actions.
    Parameters:
      `c` - a component